<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
	xmlns:f="http://typo3.org/ns/fluid/ViewHelpers">
	<f:layout name="Default"/>

	<f:section name="Main">

		<f:if condition="{settings.template} == 'Default'">
			<div class="glossary-glossary-categories">
				<ul class="nav nav-tabs">
					<f:for each="{glossaryCategories}" as="glossarCategory">
						<f:if condition="{selectedCategory.uid} == {glossarCategory.uid}">
							<f:then>
								<li class="glossary-category-{glossarCategory.uid} nav-item active">
									<a class="nav-link active" href="#">{glossarCategory.title}</a>
								</li>
							</f:then>
							<f:else>
								<li class="glossary-category-{glossarCategory.uid} nav-item">
									<f:link.action arguments="{selectedCategory: glossarCategory.uid}"
												   section="glossaries-wrapper-{content.uid}"
												   class="nav-link">{glossarCategory.title}
									</f:link.action>
								</li>
							</f:else>
						</f:if>
					</f:for>
				</ul>
				<div class="glossary-glossary-category-description">
					<f:format.html>{selectedCategory.description}</f:format.html>
				</div>
			</div>
			<div class="glossary-glossary-list">
				<f:if condition="{f:count(subject: glossaryEntries)}">
					<f:then>
						<table class="table table-sm">
							<thead>
							<tr>
								<th scope="col">Acronym</th>
								<th scope="col">Description</th>
								<th scope="col"></th>
							</tr>
							</thead>
							<tbody>
							<f:for each="{glossaryEntries}" as="glossaryEntry">
								<tr id="glossary-entry-{glossaryEntry.uid}">
									<td>{glossaryEntry.title}
										<f:if condition="{glossaryEntry.subTitle}">({glossaryEntry.subTitle})</f:if>
									</td>
									<td>
										<f:format.raw>{glossaryEntry.teaser}</f:format.raw>
									</td>
									<td>
										<f:if condition="{glossaryEntry.useDetailView}">
											<f:link.action action="show"
														   arguments="{glossary: glossaryEntry, selectedCategory: selectedCategory}"
														   class="{settings.list.buttons.show_details.class}"
														   pageUid="{settings.detail.defaultPid}">
												<i class="{settings.list.buttons.show_details.icon}" aria-hidden="true"></i>
												<f:translate key="tx_glossaries_label.show_details"/>
											</f:link.action>
										</f:if>
									</td>
								</tr>
							</f:for>
							</tbody>
						</table>
					</f:then>
					<f:else>
						<div class="container">
							<div class="row">
								<div class="alert alert-info" role="alert">
									<f:translate key="tx_glossaries_message.info_no_glossary_entries_found"/>
								</div>
							</div>
						</div>
					</f:else>
				</f:if>
			</div>
		</f:if>

		<f:if condition="{settings.template} == Teaser">
			<div class="glossary-glossary-list">
				<f:if condition="{f:count(subject: glossaryEntries)}">
					<f:then>
						<table class="table table-sm">
							<thead>
							<tr>
								<th scope="col">Acronym</th>
								<th scope="col">Description</th>
								<th scope="col"></th>
							</tr>
							</thead>
							<tbody>
							<f:for each="{glossaryEntries}" as="glossaryEntry">
								<tr id="glossary-entry-{glossaryEntry.uid}">
									<td>{glossaryEntry.title}
										<f:if condition="{glossaryEntry.subTitle}">({glossaryEntry.subTitle})</f:if>
									</td>
									<td>
										<f:format.raw>{glossaryEntry.teaser}</f:format.raw>
									</td>
									<td>
										<f:if condition="{glossaryEntry.useDetailView}">
											<f:link.action action="show"
														   arguments="{glossary: glossaryEntry, selectedCategory: selectedCategory}"
														   class="{settings.list.buttons.show_details.class}"
														   pageUid="{settings.detail.defaultPid}">
												<i class="{settings.list.buttons.show_details.icon}" aria-hidden="true"></i>
												<f:translate key="tx_glossaries_label.show_details"/>
											</f:link.action>
										</f:if>
									</td>
								</tr>
							</f:for>
							</tbody>
						</table>
					</f:then>
					<f:else>
						<div class="container">
							<div class="row">
								<div class="alert alert-info" role="alert">
									<f:translate key="tx_glossaries_message.info_no_glossary_entries_found"/>
								</div>
							</div>
						</div>
					</f:else>
				</f:if>
			</div>
		</f:if>

	</f:section>
</html>
